<div class="content">
    <div class= "row">
      <div class="col-md-10">
        <app-msg></app-msg>
      </div>
      <div class="col-md-2">
        <button type="button" class="btn btn-warning btn-circle btn-lg" routerLink="/add"><i class="fa fa-plus"></i></button>
      </div>
    </div>
    <div class="row" *ngFor="let row of rows">
      <div class="col-md-4" *ngFor="let book of row" >
        <div class="card card-user">
          <div class="image">
            <img src="./assets/img/logo.svg" alt="...">
          </div>
          <div class="card-body">
            <div class="author">
              <div class="image-upload">
                <div class="form-group">
                  <label for="file-input">
                    <img [src]="getImgSrc(book)" class="avatar border-gray" width="100" height="100"/>
                  </label>
                  <input id="file-input" #file accept=".jpg, .jpeg, .png" type="file" class="custom-file-input" id="validatedCustomFile" (change)="preview(file.files,book)" required />
                 </div>
               </div>
              <a >
                  <h5 class="title">{{book.title | slice:0:30}}</h5>
              </a>
              <p class="description">
                {{book.autor | slice:0:30 }}
              </p>
              <p class="description text-center">
                {{book.description | slice : 0:60}}
              </p>
              <a class="" >
                <i class="fa fa-usd"></i> {{book.price}}</a>
            </div>
          </div>
          <div class="card-footer">
            <hr>
            <div class="button-container">
              <div class="row">
                <div class="col-lg-3 col-md-3 col-3 ml-auto">
                  <a class="btn  btn-default" (click) = "deleteBook(book)">
                    <i class="fa fa-trash-o" title="Align Left"></i>
                  </a>
                </div>
                <div class="col-lg-3 col-md-3 col-3 ml-auto mr-auto">
                  <a class="btn btn-default"  (click) = "editBook(book)">
                    <i class="fa fa-pencil" title="Align Center"></i>
                  </a>
                </div>
                <div class="col-lg-3 col-md-3 col-3 ml-auto mr-auto">
                  <a class="btn btn-default"  (click) = "publish(book)">
                    <i class="fa fa-globe" *ngIf="book.published === 0" style="color:#0099CC"></i> 
                    <i class="fa fa-globe"  *ngIf="book.published === 1" style="color:#e00909"></i>
                  </a>
                </div>
                <div class="col-lg-3 mr-auto">
                  <div class="form-group" *ngIf="!isStore(book)">
                    <a class="btn btn-default" >
                      <i class="fa fa-cloud-upload"  aria-hidden="true" style="color:#a86932"></i>
                    </a>
                    <input id="file" #file accept=".pdf" type="file" class="custom-file-input" id="validatedCustomFile" (change)="uploadFile(file.files,book)" required />
                  </div>
                  <div class="form-group" *ngIf="isStore(book)" (click) = "downloand(book)">
                   <a class="btn btn-default btn-sm" >
                    <i class="fa fa-cloud-download" style="color:#a86932"></i>
                  </a>
                   </div>
                </div>
              </div>
            </div>
          </div>
        </div>  
  </div>